MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions
FilterPlugin.hxx File Reference

This header declares the filter_plugin class. More...

Go to the source code of this file.

## Data Structures
struct | FilterPlugin

## Functions
PreparedFilter * | filter_new (const FilterPlugin *plugin, const ConfigBlock &block)
| Creates a new instance of the specified filter plugin. More...
PreparedFilter * | filter_configured_new (const ConfigBlock &block)
| Creates a new filter, loads configuration and the plugin name from the specified configuration section. More...

## Detailed Description

This header declares the filter_plugin class.

It describes a plugin API for objects which filter raw PCM data.

Definition in file FilterPlugin.hxx.

## Function Documentation

PreparedFilter* filter_configured_new | ( | const ConfigBlock & | block | ) |

Creates a new filter, loads configuration and the plugin name from the specified configuration section.

Throws std::runtime_error on error.

Parameters

  block | the configuration section

PreparedFilter* filter_new | ( | const FilterPlugin * | plugin,
|  | const ConfigBlock & | block
| ) |  |

Creates a new instance of the specified filter plugin.

Throws std::runtime_error on error.

Parameters

  plugin | the filter plugin
  block | configuration section